<div>
  <div
    fxLayout="row wrap"
    fxLayoutGap="16px grid"
    *ngIf="episodes && episodes.length > 0 && !isLoading"
  >
    <div
      fxFlex="25%"
      fxFlex.xs="100%"
      fxFlex.sm="33%"
      *ngFor="let location of episodes"
    >
      <mat-card class="mat-elevation-z8">
        <mat-card-header>
          <mat-card-title>Name: {{ location.name }}</mat-card-title>
        </mat-card-header>
        <mat-divider class="mb-1" [inset]="true"></mat-divider>

        <mat-card-content>
          <p>Air date: {{ location.air_date }}</p>
          <h2>Episode: {{ location.episode }}</h2>
        </mat-card-content>
      </mat-card>
    </div>
  </div>
  <div *ngIf="isLoading">Loading...</div>
  <div *ngIf="!episodes && !isLoading">No data</div>
</div>
